%define name xfm
%define version 1.3.2
%define release 6mdk

Summary: An X Window System based file manager.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: freeware
Group: Graphical desktop/Other
Source0: ftp://ftp.x.org/contrib/applications/xfm-1.3.2.tar.bz2
Source1: xfm.wmconfig
Patch0: xfm-1.3.2-nobr.patch.bz2
Patch1: xfm-1.3.2-flags.patch.bz2
Patch2: xfm-1.3.2-string.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%description
Xfm is a file manager for the X Window System.  Xfm supports moving
around the directory tree, multiple windows, moving/copying/deleting
files, and launching programs.

Install xfm if you would like to use a graphical file manager program.

%prep
%setup -q
%patch0 -p1 -b .nobr
%patch1 -p1 -b .flags
%patch2 -p1 -b .string

%build
xmkmf
make Makefiles
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install install.man
install -m644 $RPM_SOURCE_DIR/xfm.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xfm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST COPYING ChangeLog README README-1.2
%config /etc/X11/wmconfig/xfm
/usr/X11R6/bin/*
%dir /usr/X11R6/lib/X11/xfm
/usr/X11R6/lib/X11/xfm/dot.xfm
/usr/X11R6/lib/X11/xfm/bitmaps
/usr/X11R6/lib/X11/xfm/pixmaps
/usr/X11R6/man/man1/*

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-6mdk
- fix group
- fix permission on sources

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Renamed spec from xfm-version.spec to xfm.spec

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 13)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/descriptions
- club with glibc2.1 stick

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- removed the old config stuff we had since 2.1 :-)
- spec file cleanups

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
